import React, { Suspense } from 'react';
import { Route, Switch } from 'react-router-dom';
import AdminController from './components/admin/Admin';
const PreLoadingMessage = () => <h1>Loading...</h1>;

const routesConfig = () => {
  return (
    <div>
      <Switch>
        <Suspense fallback={PreLoadingMessage}>
          <Route component={AdminController} path="/" exact />
        </Suspense>
      </Switch>
    </div>
  );
};

export default routesConfig;
